
import image from '@/assets/icons/ProCard/8kb.jpg'
import food from '@/assets/icons/ProCard/food.png'
import ProCard_hot from '@/assets/icons/ProCard/ProCard_hot.png'
import QRcode from '@/assets/icons/UserCenter/QRcode.png'
import './style.less'


export default (props) => {

  return (
    <scroll-view scroll-y style='height:100%;'  >


      <view className='TobeWritten-box'>
        <view className='OrderNumber'>订单编号：ABC123456789</view>
        <view class='wrapper'>
          <view class='left-complete-one'>
            <image className='left-image-1' src={ProCard_hot}></image>
            <view className='left-viewText'>
              返现￥16.00
            </view>
            <view className='title-image'>
              <image className='image-1' mode='scaleToFill' src={image}></image>
              <image className='image-2' src={food}></image>
            </view>
            <view className='title-content'>
              <view className='Pro-title'>
                <view className='title-text'>【SEOUL·创意韩国料理】 <text className='title-money-2' >数量：1张</text></view>
              </view>
              <text className='title-money' >￥6990元</text>
              <view className='title-time' >有效期：2021/06/21-2021/12/31</view>
            </view>
          </view>
          <view class='right-complete-two'>
            <view className='right-content'>
              <image className='right-image' src={QRcode} />
              <view className='right-title'>扫码核销</view>
            </view>
          </view>
        </view>
        <view className='OrderNumber'>订单编号：ABC123456789</view>
        <view class='wrapper'>
          <view class='left-complete-one'>
            <image className='left-image-1' src={ProCard_hot}></image>
            <view className='left-viewText'>
              返现￥16.00
            </view>
            <view className='title-image'>
              <image className='image-1' mode='scaleToFill' src={image}></image>
              <image className='image-2' src={food}></image>
            </view>
            <view className='title-content'>
              <view className='Pro-title'>
                <view className='title-text'>【大巴山火锅】 <text className='title-money-2' >数量：1张</text></view>
              </view>
              <text className='title-money' >￥6990元</text>
              <view className='title-time' >有效期：2021/06/21-2021/12/31</view>
            </view>
          </view>
          <view class='right-complete-two'>
            <view className='right-content'>
              <image className='right-image' src={QRcode} />
              <view className='right-title'>扫码核销</view>
            </view>
          </view>
        </view>

        <view className='foot'>
          已经到底了~
        </view>
      </view>
    </scroll-view>
  )
}
