import React from 'react'
import Popup from '@/components/Popup'
import Taro from '@tarojs/taro'
import { Input, Button, View, Picker, Label } from '@tarojs/components'
import {shareRoom} from '@/services/landlord'
import { useState } from 'react'
import './shareCard.less'


export default (props) => {
  const { showCutover, onClose} = props

  return (
    <Popup show={showCutover} onClose={onClose}>
      <View className='card'>
      <Label style={{color:'black',fontSize:'45rpx'}}>确认分享给游客</Label>      
      <View><Button  className='cancel' onClick={onClose}>取消</Button><Button openType='share' className='btn'>确认</Button></View>
    </View>
    </Popup>
  )
}