
import { useCallback } from 'react'
import { trackClick } from '@/services/track'

export default (router) => {
  return useCallback(({ eventType, eventParams }) => {
    trackClick({ page: router.path, eventType, eventParams })
  }, [router.path])
}
