import Taro from '@tarojs/taro'

export default () => {

  const personId = Taro.getStorageSync('personId')
  const openid = Taro.getStorageSync('openid')

  return new Promise((resolve, reject) => {
    Taro.getLocation({
      success(res) {
        const location = `${res.longitude},${res.latitude}`
        Taro.setStorageSync('location', location)
        resolve({
          location,
          personId,
          openid
        })
      },
      fail(err) {
        console.error(err)
        reject(err)
      }
    })
  })

  // return new Promise((resolve, reject) => {
  //   Taro.getBackgroundFetchData({
  //     fetchType: 'pre',
  //     success(res) {
  //       const { code, message, data } = JSON.parse(res.fetchedData) || {}
  //       if (code === 1000) {
  //         const { token, sessionKey, qrcode, ...otherData } = data

  //         Taro.setStorage({ key: 'token', data: token })
  //         Taro.setStorage({ key: 'sessionKey', data: sessionKey })

  //         resolve(otherData)
  //       } else {
  //         console.error(message)
  //         reject(message)
  //       }
  //     },
  //     fail: (e) => {
  //       console.error(e)
  //       reject(e.errMsg || e.message)
  //     }
  //   })
  // })
}
