import { pages, subPackages } from './routes'

export default {
  pages,
  subPackages,
  window: {
    backgroundTextStyle: 'light',
    navigationBarBackgroundColor: '#fff',
    navigationBarTitleText: 'WeChat',
    navigationBarTextStyle: 'black'
  },
  useExtendedLib: {
    weui: true,
  },
  permission: {
    'scope.userLocation': {
      desc: '您的位置信息将方便您更好的小程序体验'
    }
  },
}
