
import { useState } from "react";
import { Button, } from '@tarojs/components'
import Taro from "@tarojs/taro";
import image from '@/assets/icons/ProCard/8kb.jpg'

import food from '@/assets/icons/ProCard/food.png'
import ProCard_hot from '@/assets/icons/ProCard/ProCard_hot.png'

import Pay from '@/assets/icons/GuideCheck/Pay_logo.png'
import './style.less'


export default (props) => {

  const handleGoPay = () => {
    Taro.navigateTo({ url: '/pages/PayOrder/index' })
  }
  return (
    <scroll-view scroll-y style='height:100%;'  >

      <view className='TobePaid-box'>
        <view className='OrderNumber'>订单编号：ABC123456789</view>
        {/* 待支付 */}
        <view class='wrapper'>
          <view class='left-complete-one'>
            <image className='left-image-1' src={ProCard_hot}></image>
            <view className='left-viewText'>
              返现￥16.00
            </view>
            <view className='title-image'>
              <image className='image-1' mode='scaleToFill' src={image}></image>
              <image className='image-2' src={food}></image>
            </view>
            <view className='title-content'>
              <view className='Pro-title'>
                <view className='title-text'>【大巴山火锅】 <text className='title-money-2' >数量：1张</text></view>
              </view>
              <text className='title-money' >￥6990元</text>
              <view className='title-time' >有效期：2021/06/21-2021/12/31</view>
            </view>
          </view>
          <view class='right-complete-two'>
            <view className='right-content'>
              <image className='right-image' src={Pay} />
              <view className='right-title'>支付</view>
            </view>
          </view>
        </view>
        {/* 待支付 */}
        <view className='OrderNumber'>订单编号：ABC123456789</view>

        <view class='wrapper'>
          <view class='left-complete-one'>
            <image className='left-image-1' src={ProCard_hot}></image>
            <view className='left-viewText'>
              返现￥16.00
            </view>
            <view className='title-image'>
              <image className='image-1' mode='scaleToFill' src={image}></image>
              <image className='image-2' src={food}></image>
            </view>
            <view className='title-content'>
              <view className='Pro-title'>
                <view className='title-text'>【大巴山火锅】 <text className='title-money-2' >数量：1张</text></view>
              </view>
              <text className='title-money' >￥6990元</text>
              <view className='title-time' >有效期：2021/06/21-2021/12/31</view>
            </view>
          </view>
          <view class='right-complete-two'>
            <view className='right-content'>
              <image className='right-image' src={Pay} />
              <view className='right-title'>支付</view>
            </view>
          </view>
        </view>
        {/* 待支付 */}
        <view className='OrderNumber'>订单编号：ABC123456789</view>

        <view class='wrapper'>

          <view class='left-complete-one'>
            <image className='left-image-1' src={ProCard_hot}></image>
            <view className='left-viewText'>
              返现￥16.00
            </view>
            <view className='title-image'>
              <image className='image-1' mode='scaleToFill' src={image}></image>
              <image className='image-2' src={food}></image>
            </view>
            <view className='title-content'>
              <view className='Pro-title'>
                <view className='title-text'>【大巴山火锅】 <text className='title-money-2' >数量：1张</text></view>
              </view>
              <text className='title-money' >￥6990元</text>
              <view className='title-time' >有效期：2021/06/21-2021/12/31</view>
            </view>
          </view>
          <view class='right-complete-two'>
            <view className='right-content'>
              <image className='right-image' src={Pay} />
              <view className='right-title'>支付</view>
            </view>
          </view>
        </view>
        <view className='foot'>
          已经到底了~
        </view>
        <view className='button-info'>
          <Button className='button-box' onClick={handleGoPay}>全部支付</Button>
        </view>
      </view>
    </scroll-view>

  )
}
