import { Video } from '@tarojs/components';
import './style.less'

export default (props) => {
  const { item } = props
  return (

    <>

      {

        item.contentType == 'image' ?

          <image src={item.content} mode='widthFix' style={{ width: '100%' }} className='image-content' /> :
          item.contentType == 'text' ?

            <view style={{ marginBottom: '5px' }}>
              <view className='storezn'>{item.content}</view>
            </view>
            :
            <Video
              controls
              autoplay={false}
              loop={false}
              muted={false} style={{ width: "100%", height: '200px' }} src={item.content}></Video>

      }

    </>
  )
}


