import Spin from '@/components/Spin'
import logo from '@/assets/icons/comm/logo_small.png'
import './style.less'

export default (props) => {
  const { width = '64px', logoVisible } = props
  const height = width

  return (
    <view className='loading' style={{ width, height }}>
      <Spin size={width} />
      {
        logoVisible !== false &&
        (<image className='loading-logo' src={logo} style={{ width, height }} />)
      }
    </view>
  )
}