
import request from '@/utils/request'




/**
 * 房源
 * @param {*} id 
 * @returns 
 */

export const getTaRoom = (id) => request(`/taRoom/${id}`)




/**
 * 跳转表单页面
 * @param {*} id 
 * @returns 
 */

export const goToRoomForm = (id) => request(`/roomOrder/${id}`)


/**
 * 人员表单保存
 * @param {*} id 
 * @returns 
 */

export const personSubmit = (id, data) => request(`/room-order/${id}/person`, { method: 'post', data })