import request from '@/utils/request'

/**
 * 埋点页面访问
 * @param {*} data 
 * @returns 
 */
export const trackPage = (data) => request('/track/page', { data, method: 'post', skipError: true })

/**
 * 更新埋点访问
 * @param {*} id 
 * @returns 
 */
export const updateTrackPage = (id) => request(`/track/page/${id}`, { method: 'put', skipError: true })

/**
 * 埋点页面访问
 * @param {*} data 
 * @returns 
 */
export const trackClick = (data) => request('/track/click', { data, method: 'post', skipError: true })
